View Issue Details

IDProjectCategoryView StatusLast Update
0030374RunnerHTML5Public2019-02-26 17:10
ReporterStewart BishopAssigned ToAlan Savage 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030374: HTML5: layer_get_all_elements() doesn't handle "undefined" properly and gives the user wrong results
DescriptionWithin the attached project it creates some instances in the room creation code and then shows their info on screen, using Windows this works as expected however on HTML5 this shows the wrong info as layer_get_all_elements returns undefined for one of them and in turn causes a chain of wrong results to happen.
Steps To Reproduce1) Run the sample on Windows
2) Run the sample on HTML5
Tagshtml5, Runner
1.4 Found In
2.x Runtime Found In2.2.2.293
2.x Runtime Verified In2.2.1.291

Activities

Stewart Bishop

2019-01-07 16:07

Developer  

HTMLTEST.zip (37,896 bytes)

Dan

2019-02-25 12:07

Adminstrator   ~0063314

Runtime 309+

Matthew McInnes

2019-02-26 17:10

Developer   ~0063357

Closing. Verified as fixed in:

IDE v2.2.2.395 Runtime v2.2.1.291